<?php
function llgbo_RenderContent($content,$element_info)
/******************************************************************/
{	//----------------------------------------------------	 
	/*      LLGBO Manage Picture_content   			   */
	//----------------------------------------------------
	global $template,$conf;	
	$template->assign('LLGBO_PATH',LLGBO_PATH);
	//-----------------------------------------------------------------
	// Frame is only available on picture extension	
	//-----------------------------------------------------------------
	if (!isset($element_info['src_image'])) 	{return $content;} // it's not a picture	
    if ('mobile'== get_device())				{return $content;} // no tooltip and frame on mobile
	//-----------------------------------------------------------------
	// AN UNKNOW PLUGIN IS WORKING -> GO BACK
	//-----------------------------------------------------------------
	 $themeconf = $template->get_template_vars('themeconf');
	if ( defined('ASIZE_PATH') or $themeconf['name'] == "modus" ) // auto size and modus OK
				{ $AlreadyParse = true ;}	
				
	if  (!empty($content) and !isset($AlreadyParse) ) 	{return $content;} // Autre traitement non géré en cours
	
	//----------------------------------------------------	 
	//-------      Tooltip                   -------------	 
	//---------------------------------------------------- 
	// -----------  add CSS tooltip in footer --------
	 if (($conf['LLGBO2']['tooltipdisp']  )  or  ($conf['LLGBO2']['exifunderbt']))    
		{$template->assign('llgboTip', array( 'id'        => "#llgboTip ",));
		// Add data-llgbo sur Map
		if (isset($AlreadyParse) ) { // template déjà parsé Modus ou ASIZE 
			 $patern = 'title="'.l10n('Previous');
			 $replacement =  'data-llgbo="llgbo_thumb_previous" '.$patern ;
			 $content = str_replace($patern, $replacement, $content); 
			  $patern = 'title="'.l10n('Next');
			 $replacement =   'data-llgbo="llgbo_thumb_next" '.$patern ;
			 $content = str_replace($patern, $replacement, $content); 	
			}
			else
			{$template->set_prefilter('default_content', 'LLGBO_prefilter_Add_data');}
		// Add data-llgbo sur BT Nav
		$template->set_prefilter('picture', 'LLGBO_prefilter_Add_data');	
		}
	//-----------------------------------------------------------------

   	if (($conf['LLGBO2']['frame'])   ) //Frame
		// -- Css Theme adaptation
		{	if (file_exists(LLGBO_PATH."css/llgbo_content_".$themeconf['name'].".css")) // no css file dedicated for this theme
				{ $themestyle = $themeconf['name'];}
				else
				{$themestyle = 'default';}
		 	$template->func_combine_css(array('id'=>'llgbo_content'.$themestyle,'path'=> LLGBO_PATH."css/llgbo_content_".$themestyle.".css"));			 
			$template->set_prefilter('default_content', 'LLGBO_prefilter_Content_Frame');		
		} // end frame					
	
	return $content;
	 
} //end --> llgbo_RenderContent

/******************************************************************/
function LLGBO_prefilter_Content_Frame($content)
/******************************************************************/
{ 	// add  frame on picture_content TPL
	// --------------------------------------   
	global $conf,$template;
	$all_frame_width =0;		
		
	// -----------------------------------------
	// --  Add frame HTML data	
	// -----------------------------------------	
	$frame_begin_html = '';   		
	$frame_end_html  = '</div>'."\n".' <!-- end LLGBO frame -->'."\n";
	if (($conf['LLGBO2']['frame']) ) //Frame on
			{ 			
				foreach ($conf['LLGBO2']['FR-sizes'] as $cle  => $value) 
					{ if ( $value > 0)
						{   $all_frame_width = $all_frame_width + ( 2 * $value);
							$frame_begin_html = '<div class="llgboFR" style="border:'.$value.'px solid '.$conf['LLGBO2']['FR-colors'][$cle].'">'."\n".$frame_begin_html;
							$frame_end_html = '</div>'.$frame_end_html;	}
					}
					
			//give the frame width to other users
				$template->assign('llgbo', array(   
										'ALL_FRAMES_WIDTH' => $all_frame_width,));	
								
			$patern = '/'.'<img(.*)id="theMainImage"(.*)>'.'/';	
			$replacement =  "\n".'<!-- Begin LLGBO -->'."\n";
			// -----------------------------------------
			// compute frame width and Height
			// -----------------------------------------
			$replacement = $replacement.
			'{assign var =\'selectedimgsizes\' value = $current.selected_derivative->get_size()}
			{assign var =\'llgboframewith\' value = $selectedimgsizes[0] +'.$all_frame_width.'}
			{assign var = \'llgboframeheight\' value = $selectedimgsizes[1] +'.$all_frame_width.'}';

				if ($conf['LLGBO2']['titleframe']) {
					$replacement = $replacement.'<span  id="llgboh2" style ="background:transparent;z-index:3;color:'.$conf['LLGBO2']['FR-titlecolor'].'">{$current.TITLE}</span>';	
					}
				 $replacement = $replacement."\n".'<div   id="llgbo0" class="llgbo" style="border:0 ;width:{$llgboframewith}px; height:{$llgboframeheight}px;">'."\n".$frame_begin_html."\n".
				 '<img $1 id="theMainImage" $2>'
				 ."\n"."\n".$frame_end_html;
				 $content = preg_replace($patern, $replacement, $content);
			}

        return $content;
}
/******************************************************************/
function LLGBO_prefilter_Add_data($content, $smarty)
/******************************************************************/
{ 	 // add  data-llgbo pour les affichages spécifiques avec data-llgbo = ID de l'élément à afficher
	// --------------------------------------   
	
		$patern = 'title="{\'Previous\'';
		$replacement =  'data-llgbo="llgbo_thumb_previous" '. $patern ;
		$content = str_replace($patern, $replacement, $content); 
		
		$patern = 'title="{\'Next\'';
		$replacement =   'data-llgbo="llgbo_thumb_next" '.$patern ;
		$content = str_replace($patern, $replacement, $content); 
		// ------------- for  theme striped -----------
		$Stripped = strpos($content, '($stripped.');
		if ( $Stripped !== false )
			{	$patern = 'id="imgprev"';
				$replacement =  'data-llgbo="llgbo_thumb_previous" '.$patern ;
				$content = str_replace($patern, $replacement, $content); 
			
				$patern = 'id="imgnext"';
				$replacement =   'data-llgbo="llgbo_thumb_next" '.$patern ;
				$content = str_replace($patern, $replacement, $content);
			}
	
        return $content;
}
?>